#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main() {

    char linha[100000];
    int a1, a2, a3, minutos;
    
    while (1)
    {
        fgets(linha, 100000, stdin);
		linha[strlen(linha) - 1] = '\0';        
        if (strcmp(linha, "0") == 0)
			break;
        
        
        int tam = strlen(linha);
        int cn = 0;
        char c[tam+1];

        

        for(int x=0;x<strlen(linha);x++){
           strcpy(c,linha); 
           cn = (int)c[x];
           cn -=3;
           if (cn<65){
            cn += 26;
           }
           printf("%c",(char)cn);
        }
        printf("\n");        
    }    
 
    return 0;
}